Upgrade pip dependencies as well